# norootforbuild

%define _prefix	%{_localstatedir}/lib/hudson

Name:				hudson-jabber
Version:			0.4
Release:			2.3
Summary:			Jabber Notification Plugin for Hudson
Source:			https://hudson.dev.java.net/files/documents/2402/76544/jabber.hpi
URL:				http://hudson.gotdns.com/wiki/display/HUDSON/Jabber+Plugin
Group:			Development/Tools/Building
License:			MIT/X License
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
Requires:		hudson >= 1.111
Prefix:			%{_prefix}
BuildArch:		noarch
Provides:		hudson-plugin-jabber = %{version}-%{release}
BuildRequires:		hudson >= 1.111

%description
Jabber notification plugin for Hudson.

Based on the original work of Uwe Schaefer, it adds the following features:
- send notifications to Jabber groupchats (MUC)
- send notifications to users who break builds
- send notifications to users who fix builds
- groupchat bot that accepts several commands:
  - build <job> [now|<delay[h|m|s]>]: build a job, with the configured quiet period,
      right now (evil hack around bug 356), or with a custom wait time specified in
      hours, minutes or seconds
  - status [<job>]: shows the status (SUCCESS, ERROR, ...) of a specific jobs (e.g.
    "!status somejob") or of all jobs (e.g. "!status")
  - queue: shows the state of the build queue
- configure Jabber IDs for users
- configurable bot command prefix (defaults to "!")




Authors:
--------
    Uwe Schaefer <uwe@codesmell.de>
    Pascal Bleser <guru@unixtech.be>
    Kohsuke Kawaguchi <Kohsuke.Kawaguchi@sun.com>

%prep
%setup -q -T -c

%build

%install
%__install -D -m0644 "%{SOURCE0}" "%{buildroot}%{_prefix}/plugins/jabber.hpi"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%attr(0755,hudson,hudson) %dir %{_prefix}/plugins
%attr(0644,hudson,hudson) %{_prefix}/plugins/jabber.hpi

%changelog
* Fri Nov 23 2007 Pascal Bleser <guru@unixtech.be> 0.4
- update to 0.4:
    * Organized the configuration screen for gradual exposure to details.
    * The plugin now works with Google Talk: https://hudson.dev.java.net/issues/show_bug.cgi?id=1021
    * Improved help documentation.
    * Fixed NPE when no initial group chat is configured.

* Sat Oct 20 2007 Pascal Bleser <guru@unixtech.be> 0.3
- moved to openSUSE Build Service

* Sun Aug 12 2007 Pascal Bleser <guru@unixtech.be> 0.3-1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
